Bug 103909 - gnome sound control shows an error when launching and two tabs that say unknown
Summary: gnome sound control shows an error when launching and two tabs that say unknown
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: gnome-audio   
(Show other bugs)
Version: beta1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords: MoveUpstream, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-07 03:49 UTC by Santiago Erquicia
Modified: 2015-01-08 00:06 UTC (History)
3 users (show)

Fixed In Version: 2.4.0-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-27 18:57:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Santiago Erquicia 2003-09-07 03:49:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
When I try to launch the volume controler in gnome, it appears an error window
that says:

An error occurred while loading or saving configuration information for
gnome-volume-control. Some of your configuration settings may not work properly.

And in the details says:

Bad key or directory name:
 "/apps/gnome-volume-control/OSS-Unknown-1/Vol  ": ` ' is an invalid character
in key/directory names
Bad key or directory name:
 "/apps/gnome-volume-control/OSS-Unknown-1/Pcm  ": ` ' is an invalid character
in key/directory names
Bad key or directory name:
 "/apps/gnome-volume-control/OSS-Unknown-1/Spkr ": ` ' is an invalid character
in key/directory names
Bad key or directory name:
 "/apps/gnome-volume-control/OSS-Unknown-1/Line ": ` ' is an invalid character
in key/directory names
Bad key or directory name:
 "/apps/gnome-volume-control/OSS-Unknown-1/Mic  ": ` ' is an invalid character
in key/directory names
Bad key or directory name:
 "/apps/gnome-volume-control/OSS-Unknown-1/CD   ": ` ' is an invalid character
in key/directory names
Bad key or directory name:
 "/apps/gnome-volume-control/OSS-Unknown-1/Pcm2 ": ` ' is an invalid character
in key/directory names
Bad key or directory name:
 "/apps/gnome-volume-control/OSS-Unknown-2/Vol  ": ` ' is an invalid character
in key/directory names
Bad key or directory name:
 "/apps/gnome-volume-control/OSS-Unknown-2/Pcm  ": ` ' is an invalid character
in key/directory names
Bad key or directory name:
 "/apps/gnome-volume-control/OSS-Unknown-2/Spkr ": ` ' is an invalid character
in key/directory names
Bad key or directory name:
 "/apps/gnome-volume-control/OSS-Unknown-2/Line ": ` ' is an invalid character
in key/directory names
Bad key or directory name:
 "/apps/gnome-volume-control/OSS-Unknown-2/Mic  ": ` ' is an invalid character
in key/directory names
Bad key or directory name:
 "/apps/gnome-volume-control/OSS-Unknown-2/CD   ": ` ' is an invalid character
in key/directory names
Bad key or directory name:
 "/apps/gnome-volume-control/OSS-Unknown-2/Pcm2 ": ` ' is an invalid character
in key/directory names


After that the volume control shows two tabs saying unknown.

Mi laptop is a Toshiba Satellite A25-S207.  I don't know really the sound card
that it has, but under hardware browser appears as M5451 PCI AC-link Controller
Audio Device.

Ask me if you need more information

Version-Release number of selected component (if applicable):
GNOME Volume Control 2.3.7 (I can't find the rpm)

How reproducible:
Always

Steps to Reproduce:
1.Open gnome volume controller
2.
3.
    

Actual Results:  an error window appears and then it has two tabs showing unknown 

Additional info:
I can't use my microphone to talk.  I don't know if that means that my audio
card was detected incorrectly

Comment 1 Henrik Lind 2003-09-07 11:06:13 UTC
I have the same problem.

I have just made a 'clean' install from the beta CD's and the used YUM to update
my system from RAWHIDE.

I get the same error, but when I click 'more info' I get a empty window.

My sound card is a Hoontech SoundTrack Digital XG


Comment 2 Havoc Pennington 2003-09-07 17:49:16 UTC
We need to file this on gnome.org, someone should be using gconf_escape_key()

Comment 3 Santiago Erquicia 2003-09-07 18:38:37 UTC
The gnome bugzilla is http://bugzilla.gnome.org/show_bug.cgi?id=121693

Comment 4 Dave Habben 2003-09-27 21:14:30 UTC
According to the Gnome bug, this is fixed in 2.3.8

The version that comes with Beta 2 is 
 gnome-media-2.3.7-1

(Someone should update the component from gnome-audio to gnome-media)

This rpm should be rebuilt with a newer version:
http://ftp.gnome.org/pub/GNOME/sources/gnome-media/2.3/

Comment 5 Dave Habben 2003-10-08 12:49:14 UTC
This bug is fixed with the latest gnome-media:
gnome-media-2.4.0-1

This should be marked as RAWHIDE/CLOSED

Comment 6 Santiago Erquicia 2003-10-08 14:06:25 UTC
I't working fine with the last actualization to 2.4.0

Comment 7 Colin Walters 2004-09-27 18:57:40 UTC
Sounds like this bug is fixed then.


Note You need to log in before you can comment on or make changes to this bug.